import { ActivityOptions, Client, Message } from "discord.js";
import { Response } from "../response/response";
import { Console } from "../console/console";
import { DataLoader } from "../data";
export interface MessageResponse {
    message: string;
    react?: string;
    reply?: boolean;
    audio?: boolean;
}
export interface SBotOptions {
    token?: string;
    activityRefreshInterval?: number;
}
export interface TTSOptions {
    prefix?: string;
    onJoin?: string;
}
export declare class SBotClient {
    client: Client;
    get user(): import("discord.js").ClientUser | null;
    private utility;
    constructor(options?: SBotOptions);
    private state;
    useActivity(activity: ActivityOptions): void;
    private setSelfActivity;
    useResponse(response: Response): void;
    private response;
    useConsole(console: Console): void;
    useDataLoader(loader: DataLoader): void;
    private voice?;
    private ttsOptions?;
    useTTS(Options: TTSOptions): void;
    pursueUser(msg: Message): Promise<void>;
}
